POST /state_business_hours

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/state_business_hours

Create State Call Time.

Create a State Call Time rule defining the allowed calling hours for one or more states, each day of the week.

Params

Param name Description
states
Optional Blank value allowed

States

  • Must be an array of strings. EG: ["abc123", "xzy023"]

name
Optional Blank value allowed

Name

  • Must be a String

monday_open_at
Optional Blank value allowed

Monday Open At

  • Must be a decimal number.

monday_close_at
Optional Blank value allowed

Monday Close At

  • Must be a decimal number.

tuesday_open_at
Optional Blank value allowed

Tuesday Open At

  • Must be a decimal number.

tuesday_close_at
Optional Blank value allowed

Tuesday Close At

  • Must be a decimal number.

wednesday_open_at
Optional Blank value allowed

Wednesday Open At

  • Must be a decimal number.

wednesday_close_at
Optional Blank value allowed

Wednesday Close At

  • Must be a decimal number.

thursday_open_at
Optional Blank value allowed

Thursday Open At

  • Must be a decimal number.

thursday_close_at
Optional Blank value allowed

Thursday Close At

  • Must be a decimal number.

friday_open_at
Optional Blank value allowed

Friday Open At

  • Must be a decimal number.

friday_close_at
Optional Blank value allowed

Friday Close At

  • Must be a decimal number.

saturday_open_at
Optional Blank value allowed

Saturday Open At

  • Must be a decimal number.

saturday_close_at
Optional Blank value allowed

Saturday Close At

  • Must be a decimal number.

sunday_open_at
Optional Blank value allowed

Sunday Open At

  • Must be a decimal number.

sunday_close_at
Optional Blank value allowed

Sunday Close At

  • Must be a decimal number.

monday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Monday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

tuesday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Tuesday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

wednesday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Wednesday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

thursday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Thursday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

friday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Friday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

saturday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Saturday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

sunday_closed
Optional Blank value allowed

When true, outbound calls to this state are blocked all day Sunday, regardless of the open/close times.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off